Skip to main content
POST
White Label Admin - Add organization API key

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

innerOrganizationId
integer
required

Organization ID within the context of a white label

Body

application/json
name
string
required

Description of the key

role
enum<string>
required
Available options:
admin,
member
apiKey
string

Optional: API key. This needs to start with ei_ and will need to be at least 32 characters long. If this field is not passed in, a new API key is generated for you.

ttl
integer

Time to live in seconds. If not set, the key will expire in 1 minute.

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

id
integer
required

ID of the new API key

apiKey
string
required

New API Key (starts with "ei_...") - this'll be shared only once.

error
string

Optional error description (set if 'success' was false)